[package]
name = "webkit2gtk5"
version = "0.3.0"
edition = "2021"
authors = ["The Gtk-rs Project Developers"]
categories = ["api-bindings", "gui"]
description = "Rust bindings for webkit-gtk library"
repository = "https://gitlab.gnome.org/World/Rust/webkit2gtk5-rs"
license = "MIT"
documentation = "https://world.pages.gitlab.gnome.org/Rust/webkit2gtk5-rs/"
keywords = ["webkit", "gtk-rs", "gnome", "GUI"]
exclude = [
    "gir-files/*",
]

[badges]
travis-ci = { repository = "vhdirk/webkit2gtk-rs" }

[lib]
name = "webkit2gtk"

[features]
dox = ["ffi/dox", "gio/dox", "glib/dox", "cairo-rs/dox", "gdk/dox", "gtk/dox", "javascriptcore5-rs/dox"]
v2_2 = [ ]
v2_4 = [ "v2_2" ]
v2_6 = [ "v2_4", "ffi/v2_6" ]
v2_8 = [ "v2_6", "ffi/v2_8" ]
v2_10 = [ "v2_8", "ffi/v2_10" ]
v2_12 = [ "v2_10", "ffi/v2_12" ]
v2_14 = [ "v2_12", "ffi/v2_14" ]
v2_16 = [ "v2_14", "ffi/v2_16" ]
v2_18 = [ "v2_16", "ffi/v2_18" ]
v2_20 = [ "v2_18", "ffi/v2_20" ]
v2_22 = [ "v2_20", "ffi/v2_22" ]
v2_24 = [ "v2_22", "ffi/v2_24" ]
v2_26 = [ "v2_24", "ffi/v2_26" ]
v2_28 = [ "v2_26", "ffi/v2_28" ]
v2_30 = [ "v2_28", "ffi/v2_30" ]
v2_32 = [ "v2_30", "ffi/v2_32" ]
v2_34 = [ "v2_32", "ffi/v2_34" ]
v2_36 = ["v2_34", "ffi/v2_36"]
v2_38 = ["v2_36", "ffi/v2_38"]

[dependencies]
bitflags = "^1.0"
once_cell = "1.8"
libc = "^0.2"
javascriptcore5-rs = { path = "../javascriptcore", version = "0.3" }
ffi = { package = "webkit2gtk5-sys", path = "sys", version = "0.3" }

[dependencies.gtk]
git = "https://github.com/gtk-rs/gtk4-rs.git"
package = "gtk4"
version = "0.6"
branch = "0.6"

[dependencies.gdk]
git = "https://github.com/gtk-rs/gtk4-rs.git"
package = "gdk4"
version = "0.6"
branch = "0.6"

[dependencies.glib]
git = "https://github.com/gtk-rs/gtk-rs-core.git"
version = "0.17"
branch = "0.17"

[dependencies.cairo-rs]
git = "https://github.com/gtk-rs/gtk-rs-core.git"
version = "0.17"
branch = "0.17"

[dependencies.gio]
git = "https://github.com/gtk-rs/gtk-rs-core.git"
version = "0.17"
branch = "0.17"
